%?mingw_package_header

Name:           mingw-libepoxy
Version:        1.2
Release:        1%{?dist}
Summary:        MinGW Windows libepoxy library

License:        LGPLv2+
URL:            https://github.com/anholt/libepoxy
Source0:        https://github.com/anholt/libepoxy/archive/v1.2/libepoxy-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem
BuildRequires:  mingw64-filesystem
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw64-binutils

# Required for autoreconf
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  xorg-x11-util-macros

%description
Epoxy is a library for handling OpenGL function pointer management.

This package contains the MinGW Windows cross compiled libepoxy library.


%package -n mingw32-libepoxy
Summary:        MinGW Windows libepoxy library

%description -n mingw32-libepoxy
Epoxy is a library for handling OpenGL function pointer management.

This package contains the MinGW Windows cross compiled libepoxy library.


%package -n mingw64-libepoxy
Summary:        MinGW Windows libepoxy library

%description -n mingw64-libepoxy
Epoxy is a library for handling OpenGL function pointer management.

This package contains the MinGW Windows cross compiled libepoxy library.


%?mingw_debug_package


%prep
%setup -q -n libepoxy-%{version}
autoreconf -fi


%build
%mingw_configure

%mingw_make %{?_smp_mflags} V=1


%install
%mingw_make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/*.la


%files -n mingw32-libepoxy
%license COPYING
%{mingw32_bindir}/libepoxy-0.dll
%{mingw32_libdir}/libepoxy.dll.a
%{mingw32_libdir}/pkgconfig/epoxy.pc
%{mingw32_includedir}/epoxy/

%files -n mingw64-libepoxy
%license COPYING
%{mingw64_bindir}/libepoxy-0.dll
%{mingw64_libdir}/libepoxy.dll.a
%{mingw64_libdir}/pkgconfig/epoxy.pc
%{mingw64_includedir}/epoxy/

%changelog
* Tue Mar 24 2015 Kalev Lember <kalevlember@gmail.com> - 1.2-1
- Initial Fedora packaging
